$j(document).ready(function () {
    $j(document).on('click', '.show_cut_val', function (e) {
        e.preventDefault();

        if ($j(this).data('val-cut') == 1) {
            $j(this).siblings('.cut_val').show();
            $j(this).html('Скрыть');
            $j(this).data('val-cut', '0');
        } else {
            $j(this).siblings('.cut_val').hide();
            $j(this).html('Показать');
            $j(this).data('val-cut', '1');
        }
    });

    // ===========================================
    // Навигация по логу
    // ===========================================

    $j(document).on('click', '.js_nav-block-title', function () {
        $j(this).parent().toggleClass('__open').siblings().removeClass('__open');
    });

    $j(document).on('click', '.log-nav_links-item > a', function () {
        var str = $j('.view-log_table').find($j(this).attr('href'));
        if(str.parent().hasClass('view-log_group')) {
            str.parent().removeClass('__cut-content');
        }
    });

    // ===========================================
    // Свернуть/развернуть группу МО
    // ===========================================

    $j(document).on('click', '.view-log_group .view-log_tr.__group-header', function (e) {
        e.preventDefault();
        $j(this).parent().toggleClass('__cut-content');
    });

    // ===========================================
    // up btn
    // ===========================================

    $j(window).on('scroll', function () {
        if($j(window).scrollTop() > 100) {
            $j('.log_up-btn').show();
        } else {
            $j('.log_up-btn').hide();
        }
    });

    $j(document).on('click', '.log_up-btn', function (e) {
        e.preventDefault();
        $j('html, body').animate({scrollTop: 0}, 500);
    });

    // ===========================================
    // Выбор и загрузка файла на одной кнопке
    // ===========================================

    $j(document).on('click', '#file-upload-submit', function () {
        // console.log(j(this));
        $j(this).val('');
    });

    $j(document).on('change', '#file-upload-1', function () {
       $j(this).closest('form').find('#file-upload-submit').triggerHandler('click');
    });

    $j(document).on('click', '.log-nav_link.__second-nav', function (e) {
        e.preventDefault();
        var destId = $j(this).attr('href');
        var destOffset = $j(destId).offset().top;
        $j('html, body').stop().animate({scrollTop: destOffset - ($j(window).height() / 2)}, 500);
    });

});

function clickOnDateLink(obj) {
    // console.log(this);
    $j(obj).toggleClass('__cur').parent().siblings().children().removeClass('__cur');
    $j('#load_gif').removeAttr('hidden');
};